Bug 728690 - RPM files packaged under python/site-packages/bkr
Summary: RPM files packaged under python/site-packages/bkr
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-06 12:45 UTC by Alexander Todorov
Modified: 2011-08-09 02:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-09 02:21:41 UTC


Attachments (Terms of Use)

Description Alexander Todorov 2011-08-06 12:45:53 UTC
Description of problem:

In Beaker git repository there are 3 RPM packages which are test cases:

./IntegrationTests/src/bkr/inttest/server/selenium/tmp-distribution-beaker-dummy_for_bz681143-1.0-1.noarch.rpm
./IntegrationTests/src/bkr/inttest/server/selenium/tmp-distribution-beaker-task_test-1.1-0.noarch.rpm
./IntegrationTests/src/bkr/inttest/server/selenium/tmp-distribution-beaker-task_test-2.0-2.noarch.rpm


These same packages are packaged with beaker-server RPM and are available in the /usr/lib/python2.4/site-packages/bkr/server/test/selenium/ directory. 

The test RPM packages are not functional, they are just place holders with no actual tests inside them. Their runtest.sh is:
rhts-run-simple-test $TEST ./do-my-test

and do-my-test file doesn't exist.

Comment 1 Dan Callaghan 2011-08-07 22:48:01 UTC
These task rpms are test data, used by Beaker's selenium test suite. They intentionally do not do anything. Does their presence cause any problems?

They were installed with the beaker-server package up until 0.6.15, but as of 0.6.16 they were moved (along with all integration test code and test data) into a separate package, beaker-integration-tests.

Comment 2 Alexander Todorov 2011-08-08 08:02:33 UTC
Hmm, I thought empty tests were just useless. How do you schedule the selenium test suite?

Comment 3 Dan Callaghan 2011-08-09 02:21:41 UTC
(In reply to comment #2)
> How do you schedule the selenium test suite?

From a clone of Beaker git you can cd IntegrationTests && ./run-tests.sh. For running Beaker tests in Beaker we have a task in git under Tasks/distribution/beaker/dogfood.

Closing this bug, if you have any other questions about the test suite please ask on the Beaker mailing list.


Note You need to log in before you can comment on or make changes to this bug.